#!/bin/bash

if grep -q -E "^keininternet" /etc/group; then
 echo "Gruppe keininternet existiert bereits, wird nicht angelegt."
else
 sudo addgroup keininternet
fi

if groups $(whoami) | grep -q -E " keininternet(\s|$)"; then
 echo "Benutzer ist bereits in der Gruppe keininternet. Nichts zu tun."
else
 sudo adduser $(whoami) keininternet
fi

if [ -f /etc/network/if-pre-up.d/keininternet_iptables ]; then
 echo "iptables-Script existiert bereits. Um neu anzulegen, Original von /etc/network/if-pre-up.d/keininternet_iptables löschen."
else
 echo "Installiere iptables-Regeln"
 sudo cp keininternet_iptables /etc/network/if-pre-up.d/
 sudo chmod +x /etc/network/if-pre-up.d/keininternet_iptables
 sudo /etc/network/if-pre-up.d/keininternet_iptables
fi

if [ -f /usr/bin/keininternet ]; then
 echo "keininternet-Script bereits installiert. Um neu anzulegen, Original von /usr/bin/keininternet löschen."
else
 echo "Installiere keininternet-Script"
 sudo cp keininternet_script /usr/bin/keininternet
 sudo chmod +x /usr/bin/keininternet
fi

echo "Installation von keininternet abgeschlossen."
